VERSION 5.00
Begin VB.Form frmVBDDECL 
   Caption         =   "Native VB DDE Client"
   ClientHeight    =   5445
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   ScaleHeight     =   5445
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstEvents 
      Height          =   1815
      ItemData        =   "VBDDECL.frx":0000
      Left            =   180
      List            =   "VBDDECL.frx":0002
      TabIndex        =   15
      Top             =   3465
      Width           =   4335
   End
   Begin VB.Frame Frame1 
      Caption         =   "Link mode"
      Height          =   1725
      Left            =   225
      TabIndex        =   10
      Top             =   1125
      Width           =   1590
      Begin VB.OptionButton optNotify 
         Caption         =   "Notify"
         Height          =   195
         Left            =   270
         TabIndex        =   14
         Top             =   1260
         Width           =   1005
      End
      Begin VB.OptionButton optNone 
         Caption         =   "None"
         Height          =   195
         Left            =   270
         TabIndex        =   13
         Top             =   315
         Value           =   -1  'True
         Width           =   1005
      End
      Begin VB.OptionButton optManual 
         Caption         =   "Manual"
         Height          =   195
         Left            =   270
         TabIndex        =   12
         Top             =   945
         Width           =   1005
      End
      Begin VB.OptionButton optAutomatic 
         Caption         =   "Automatic"
         Height          =   195
         Left            =   270
         TabIndex        =   11
         Top             =   630
         Width           =   1005
      End
   End
   Begin VB.CommandButton cbExecute 
      Caption         =   "Execute"
      Height          =   375
      Left            =   2250
      TabIndex        =   9
      Top             =   1845
      Width           =   1230
   End
   Begin VB.CommandButton cbRequest 
      Caption         =   "Request"
      Height          =   375
      Left            =   2250
      TabIndex        =   8
      Top             =   1260
      Width           =   1230
   End
   Begin VB.CommandButton cbSend 
      Caption         =   "Poke"
      Height          =   375
      Left            =   2250
      TabIndex        =   7
      Top             =   2430
      Width           =   1230
   End
   Begin VB.CommandButton cbSetItem 
      Caption         =   "Change"
      Height          =   330
      Left            =   3690
      TabIndex        =   6
      Top             =   585
      Width           =   825
   End
   Begin VB.TextBox txtLinkItem 
      Height          =   330
      Left            =   1080
      TabIndex        =   5
      Text            =   "TextBox"
      Top             =   585
      Width           =   2400
   End
   Begin VB.CommandButton cbSetTopic 
      Caption         =   "Change"
      Height          =   330
      Left            =   3690
      TabIndex        =   3
      Top             =   135
      Width           =   825
   End
   Begin VB.TextBox txtLinkTopic 
      Height          =   330
      Left            =   1080
      TabIndex        =   1
      Text            =   "VBDDESV|LinkTopic"
      Top             =   135
      Width           =   2400
   End
   Begin VB.TextBox TextBox 
      Height          =   330
      Left            =   180
      LinkItem        =   "TextBox"
      LinkTopic       =   "VBDDESV|LinkTopic"
      TabIndex        =   0
      Text            =   "Sample text"
      Top             =   3015
      Width           =   4335
   End
   Begin VB.Label Label2 
      Caption         =   "Link Item"
      Height          =   285
      Left            =   180
      TabIndex        =   4
      Top             =   615
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Link Topic"
      Height          =   285
      Left            =   180
      TabIndex        =   2
      Top             =   165
      Width           =   825
   End
End
Attribute VB_Name = "frmVBDDECL"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cbExecute_Click()
    On Error GoTo NoLink
    TextBox.LinkExecute (TextBox.Text)
    Exit Sub
NoLink:
    MsgBox "No conversation established or Execute failed"
End Sub

Private Sub cbRequest_Click()
    On Error GoTo NoLink
    TextBox.LinkRequest
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub

Private Sub cbSend_Click()
    On Error GoTo NoLink
    TextBox.LinkPoke
    Exit Sub
NoLink:
    MsgBox "No conversation established or Poke failed"
End Sub

Private Sub cbSetItem_Click()
    TextBox.LinkMode = 0
    TextBox.LinkItem = txtLinkItem.Text
    On Error GoTo NoLink
    If optAutomatic.Value Then
        TextBox.LinkMode = 1
    Else
        TextBox.LinkMode = 2
    End If
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub

Private Sub cbSetTopic_Click()
    TextBox.LinkMode = 0
    TextBox.LinkTopic = txtLinkTopic.Text
    On Error GoTo NoLink
    If optAutomatic.Value Then
        TextBox.LinkMode = 1
    Else
        TextBox.LinkMode = 2
    End If
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub

Private Sub Form_Load()
    On Error Resume Next
    TextBox.LinkMode = 2
End Sub

Private Sub optAutomatic_Click()
    TextBox.LinkMode = 0
    On Error GoTo NoLink
    TextBox.LinkMode = 1
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub

Private Sub optManual_Click()
    TextBox.LinkMode = 0
    On Error GoTo NoLink
    TextBox.LinkMode = 2
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub

Private Sub optNone_Click()
    TextBox.LinkMode = 0
End Sub

Private Sub optNotify_Click()
    TextBox.LinkMode = 0
    On Error GoTo NoLink
    TextBox.LinkMode = 3
    Exit Sub
NoLink:
    MsgBox "No conversation established"
End Sub
Private Sub AddEvent(strEvent As String)
    On Error GoTo Skip
    lstEvents.AddItem strEvent
    lstEvents.ListIndex = lstEvents.NewIndex
Skip:
End Sub

Private Sub TextBox_LinkClose()
AddEvent "TextBox - LinkClose"
End Sub

Private Sub TextBox_LinkError(LinkErr As Integer)
AddEvent "TextBox - LinkError " & CStr(LinkErr)
End Sub

Private Sub TextBox_LinkNotify()
AddEvent "TextBox - LinkNotify"
End Sub

Private Sub TextBox_LinkOpen(Cancel As Integer)
AddEvent "TextBox - LinkOpen"
End Sub
